Subject: bug#14461: 24.3.50; bad display for 'space' + (U+0336) unicode combination

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Aug 2019 20:29:22 +0300

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Sat, 17 Aug 2019 19:05:20 +0200
> 
> Executing this:
> 
> $ hb-view /usr/share/fonts/dejavu/DejaVuSansMono.ttf -u 'U+061, U+301, U+302'
> 
> displays just 'a' with an acute accent over it, i.e. the circumflex is
> not displayed at all

I don't think this is true, I think the accents are overlaid in a way
that makes them hard to distinguish.  Try zooming in, if you can.

> (unlike Emacs, which display the circumflex to the right of the a +
> acute accent grapheme).

Hmm... something strange happens with DejaVu Sans Mono.  I tried two
different font backends, and they both display the circumflex
incorrectly.  That doesn't happen with other monospaced fonts I tried.

I have no idea what's going on here, sorry.

In any case, the issue at hand is not about this particular display
with this particular font, it's more general.